echo off
echo.
echo.
echo Buliding directories:
echo     %2\COMPILER
echo     %2\COMPILER\SOURCE
echo     %2\ROM
echo     %2\XSHELL
echo.

md %2\compiler 
md %2\compiler\source
md %2\rom 
md %2\xshell

echo.
echo Copying files from %1 to %2 
echo.
copy %1*.* %2\compiler 
if not exist %2\compiler\setup.bat goto :nocompiler
copy %1source\*.* %2\compiler\source

echo. 
echo Please insert ROM TARGET disk#2 in drive %1
pause 
copy %1*.* %2\rom 
if not exist %2\rom\xc.bat goto :norom

echo. 
echo Please insert PAGING/PARTIAL EXAMPLES/ROM POWERFORTH disk#3 in drive %1
pause 

echo.
echo.
echo Building directories:
echo     %2\ROM\PAGING
echo     %2\ROM\PARTIAL
echo     %2\ROM\ROMFORTH
echo.
md %2\rom\paging 
copy %1paging\*.* %2\rom\paging 
if not exist %2\rom\paging\pagectl.scr goto :nopaging
echo.
md %2\rom\partial 
copy %1partial\*.* %2\rom\partial 
if not exist %2\rom\partial\ramctl.scr goto :nopartial
md %2\rom\romforth
copy %1romforth\*.* %2\rom\romforth
if not exist %2\rom\romforth\textfile.scr goto :noromforth

echo. 
echo Please insert XSHELL (1) disk in drive %1
pause 
copy %1*.* %2\xshell 
if not exist %2\xshell\xs3.com goto :noxshell

echo. 
echo Please insert XSHELL (2) disk in drive %1
pause 
copy %1*.* %2\xshell 
if not exist %2\xshell\compiler.hlp goto :noxshell

echo. 
echo Please insert XC-COMM disk in drive %1
pause 
copy %1*.* %2\xshell 
if not exist %2\xshell\xc-comm.scr goto :noxshell
goto :bye

:nocompiler
	echo.
	echo Can't build %2\COMPILER
	goto :error

:norom
	echo.
	echo Can't build %2\ROM
	goto :error

:noxshell
	echo.
	echo Can't build %2\XSHELL
	goto :error

:nopaging
	echo.
	echo Can't build %2\ROM\PAGING
	goto :error

:nopartial
	echo.
	echo Can't build %2\ROM\PARTIAL
	goto :error

:noromforth
	echo.
	echo Can't build %2\ROM\ROMFORTH
	goto :error

: noxshell
	echo.
	echo Can't build %2\XSHELL
	goto :error

:error

:bye
	echo.
	echo Please insert COMPILER disk#1 in drive %1
	echo.
	pause

